=== po/CMakeLists.txt ===
add_subdirectory(bg)
add_subdirectory(ca)
add_subdirectory(ca@valencia)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hr)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(km)
add_subdirectory(ko)
add_subdirectory(ku)
add_subdirectory(lt)
add_subdirectory(lv)
add_subdirectory(mai)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(nn)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(sv)
add_subdirectory(th)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(zh_CN)
add_subdirectory(zh_TW)
