=== debian/changelog ===
kmplayer (1:0.11.2c-1) unstable; urgency=low

  * New upstream release:

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 16:41:58 +0300
