## kmplayer 0.11.3a

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
 project(kmplayer)
+
+cmake_policy(VERSION 2.6)
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "2c")
+SET(KMPLAYER_PATCH_VERSION "3a")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")
@@ -12,6 +14,7 @@
 include (MacroLibrary)
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 include_directories( ${KDE4_INCLUDES})
 
 if(NOT WIN32)
@@ -23,11 +26,10 @@
   if (KMPLAYER_BUILT_WITH_CAIRO)
 
     PKGCONFIG(cairo CAIROIncDir CAIROLinkDir CAIROLinkFlags CAIROCflags)
-    PKGCONFIG(pangocairo PANGOIncDir PANGOLinkDir PANGOLinkFlags PANGOCflags)
 
-    if (CAIROCflags AND PANGOCflags)
+    if (CAIROCflags)
         set(KMPLAYER_WITH_CAIRO 1)
-    endif (CAIROCflags AND PANGOCflags)
+    endif (CAIROCflags)
   endif (KMPLAYER_BUILT_WITH_CAIRO)
 
   if (KMPLAYER_BUILT_WITH_NPP)
@@ -61,8 +63,8 @@
 
 add_subdirectory(src)
 add_subdirectory(icons)
-add_subdirectory(doc)
+#add_subdirectory(doc)
 add_subdirectory(data)
 
-include(MacroOptionalAddSubdirectory)
-macro_optional_add_subdirectory(po)
+#include(MacroOptionalAddSubdirectory)
+#macro_optional_add_subdirectory(po)
