=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 SET(optionalLinkFlags)
 
 IF (KMPLAYER_WITH_CAIRO)
-    SET(optionalCFlags ${optionalCFlags} ${CAIROCFlags} ${PANGOCFlags})
-    SET(optionalLinkFlags ${optionalLinkFlags} ${CAIROLinkFlags} ${PANGOLinkFlags})
+    SET(optionalCFlags ${optionalCFlags} ${CAIROCFlags})
+    SET(optionalLinkFlags ${optionalLinkFlags} ${CAIROLinkFlags})
     MESSAGE("have cairo cflags:${optionalCFlags} ldflags:${optionalLinkFlags}")
 endif (KMPLAYER_WITH_CAIRO)
 
@@ -21,6 +21,7 @@
 
 set(libkmplayercommon_SRCS
   kmplayerview.cpp
+  playmodel.cpp
   playlistview.cpp
   kmplayercontrolpanel.cpp
   kmplayerconfig.cpp
@@ -61,11 +62,10 @@
 MESSAGE("extra ${CAIROCflags} ${GLibDBusCflags}  libs ${CAIROLinkFlags} ${GLibDBusLinkFlags}")
 
 SET_TARGET_PROPERTIES(kmplayercommon PROPERTIES COMPILE_FLAGS
-    "${CAIROCflags} ${PANGOCflags} ${GLibDBusCflags}")
+    "${CAIROCflags} ${GLibDBusCflags}")
 
 target_link_libraries(kmplayercommon
   ${CAIROLinkFlags}
-  ${PANGOLinkFlags}
   ${GLibDBusLinkFlags}
   ${KDE4_KPARTS_LIBS}
   ${KDE4_KDEUI_LIBS}
@@ -124,7 +124,7 @@
 
 install(TARGETS kmplayer ${INSTALL_TARGETS_DEFAULT_ARGS})
 
-install(FILES kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(PROGRAMS kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 #qt4_add_dbus_interface(kmplayer_SRCS org.kde.Konqueror.Main.xml kmplayer_interface)
