=== debian/changelog ===
kmplayer (1:0.11.3a-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 29 Oct 2011 15:14:54 +1100
