=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,7 @@
   kmplayer_rp.cpp
   kmplayer_rss.cpp
   kmplayer_atom.cpp
+  kmplayer_opml.cpp
   kmplayer_xspf.cpp
   expression.cpp
   mediaobject.cpp
