=== debian/changelog ===
kmplayer (1:0.11.3b-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sun, 19 Feb 2012 09:37:10 +1100
