## kmplayer 0.11.3c

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SET(KMPLAYER_MAJOR_VERSION "0")
 SET(KMPLAYER_MINOR_VERSION "11")
-SET(KMPLAYER_PATCH_VERSION "3b")
+SET(KMPLAYER_PATCH_VERSION "3c")
 
 SET(KMPLAYER_VERSION_STRING
     "${KMPLAYER_MAJOR_VERSION}.${KMPLAYER_MINOR_VERSION}.${KMPLAYER_PATCH_VERSION}")
@@ -34,6 +34,7 @@
 
   if (KMPLAYER_BUILT_WITH_NPP)
     PKGCONFIG(dbus-glib-1 GLibDBusIncDir GLibDBusLinkDir GLibDBusLinkFlags GLibDBusCflags)
+    PKGCONFIG(gmodule-2.0 GModuleIncDir GModuleLinkDir GModuleLinkFlags GModuleCflags)
 
     if (GLibDBusCflags)
       set(KMPLAYER_WITH_GDBUS 1)
@@ -63,8 +64,8 @@
 
 add_subdirectory(src)
 add_subdirectory(icons)
-#add_subdirectory(doc)
+add_subdirectory(doc)
 add_subdirectory(data)
 
-#include(MacroOptionalAddSubdirectory)
-#macro_optional_add_subdirectory(po)
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory(po)
