=== debian/changelog ===
kmplayer (1:0.11.3c-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 17 Mar 2012 07:39:29 +1100
