=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel --with kde $@

override_dh_install:
	dh_install
	rm -rf debian/kmplayer/usr/share/icons/oxygen/
	chmod +x debian/kmplayer/usr/share/kde4/apps/kmplayer/find-media.sh

.PHONY: override_dh_auto_test
