=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 add_subdirectory(bg)
+add_subdirectory(bs)
 add_subdirectory(ca)
 add_subdirectory(ca@valencia)
 add_subdirectory(cs)
@@ -13,10 +14,10 @@
 add_subdirectory(ga)
 add_subdirectory(gl)
 add_subdirectory(hr)
+add_subdirectory(hu)
 add_subdirectory(it)
 add_subdirectory(ja)
 add_subdirectory(km)
-add_subdirectory(ko)
 add_subdirectory(ku)
 add_subdirectory(lt)
 add_subdirectory(lv)
@@ -36,6 +37,7 @@
 add_subdirectory(sv)
 add_subdirectory(th)
 add_subdirectory(tr)
+add_subdirectory(ug)
 add_subdirectory(uk)
 add_subdirectory(zh_CN)
 add_subdirectory(zh_TW)
