=== src/CMakeLists.txt ===
--- 
+++ 
@@ -125,7 +125,7 @@
 
 install(TARGETS kmplayer ${INSTALL_TARGETS_DEFAULT_ARGS})
 
-install(PROGRAMS kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES kmplayer.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 #qt4_add_dbus_interface(kmplayer_SRCS org.kde.Konqueror.Main.xml kmplayer_interface)
 
@@ -138,10 +138,10 @@
     add_executable(knpplayer ${knpplayer_SRCS})
 
     SET_TARGET_PROPERTIES(knpplayer PROPERTIES COMPILE_FLAGS
-        "${GLibDBusCflags} ${GTKCflags} ${GThreadCflags}"
+        "${GLibDBusCflags} ${GTKCflags} ${GThreadCflags} ${GModuleCflags}"
     )
 
-    target_link_libraries(knpplayer ${GLibDBusLinkFlags} ${GTKLinkFlags} ${GThreadLinkFlags}
+    target_link_libraries(knpplayer ${GLibDBusLinkFlags} ${GTKLinkFlags} ${GThreadLinkFlags} ${GModuleLinkFlags}
         ${X11_X11_LIB} )
 
     install(TARGETS knpplayer ${INSTALL_TARGETS_DEFAULT_ARGS})
