=== po/eo/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(eo ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )
