=== debian/changelog ===
kmplayer (1:0.11.3d-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sat, 11 May 2013 23:29:11 +1000

kmplayer (1:0.11.3d-1) experimental; urgency=low

  * New upstream release
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Sat, 14 Jul 2012 17:51:34 +1000
