=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --parallel --with kde $@
+	dh $@ --parallel --with kde
 
 override_dh_install:
 	dh_install
