=== debian/watch ===
version=3
opts="uversionmangle=s/-r/~r/" \
  http://kmplayer.kde.org/pkgs/kmplayer-(.*)\.tar\.bz2 debian svn-upgrade
