=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS 16-apps-kmplayer.png
    32-apps-kmplayer.png
    64-apps-kmplayer.png
    128-apps-kmplayer.png
    22-apps-kmplayer.png
    48-apps-kmplayer.png
    sc-apps-kmplayer.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor)
