=== po/ca/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ca ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )
