=== po/ca@valencia/CMakeLists.txt ===
find_package(Gettext)
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ca@valencia ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )
