=== debian/changelog ===
kmplayer (1:0.12.0b-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 3def65075c09af4961cd399e8e78ed78cca72e65 to fix
    build with Qt 5.9; patch upstream_Fix-build-with-Qt-5.9.patch.
    (Closes: #877499)
  * Bump Standards-Version to 4.1.1, no changes required.
  * Do not ship the upstream TODO file as documentation, since it is not
    useful for users.

 -- Pino Toscano <pino@debian.org>  Wed, 11 Oct 2017 22:42:41 +0200

kmplayer (1:0.12.0b-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #799466)
  * Update watch file to point to download.kde.org.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libqt5x11extras5-dev, libphonon4qt5-dev, libkf5config-dev,
      libkf5coreaddons-dev, libkf5i18n-dev, kinit-dev,
      libkf5kdelibs4support-dev, libkf5kio-dev, libkf5mediaplayer-dev,
      libkf5parts-dev, and libkf5widgetsaddons-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Stop trying to remove oxygen icons, as there are not anymore.
  * Adjust path to find-media.sh.
  * Update the patches:
    - gcc5.diff: drop, fixed upstream
    - upstream_set-cmake_min_req-to-2.8.9-to-match-kdelibs4-policy-.patch:
      drop, backported from upstream
    - upstream_Fix-build-with-cmake-3.4.patch: drop, backported from upstream
  * Replace postinst and postrm that manually invoke ldconfig with an
    invocation of the ldconfig trigger.
  * Link in as-needed mode.
  * Use https in Vcs-Browser field.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 23:54:21 +0200

kmplayer (1:0.11.3d-3) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU, thanks to Matthias Klose.
  * Drop menu file, since kmplayer already provides a .desktop file.
  * Move oxygen icons removal at dh_auto_install phase; same effect as before,
    just more correct.
  * Update Vcs-* headers.
  * Backport upstream commit 4be412db53ce6342103836163c7b809f36d88a03 to add
    missing cmake_minimum_required() in buildsystem; patch
    upstream_set-cmake_min_req-to-2.8.9-to-match-kdelibs4-policy-.patch
    (Closes: #805206)
  * Backport upstream commit 53cb0b47026d12ae3428805348ea64db81837ded to fix
    build with cmake >= 3.4; patch upstream_Fix-build-with-cmake-3.4.patch.
  * Remove obsolete and unused not-installed file.
  * Remove unused kmplayer.1.docbook file.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jan 2016 18:46:18 +0100

kmplayer (1:0.11.3d-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5. Closes: #777928.
  * Fix build on AArch64. Closes: #770966.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2015 18:08:14 +0200
