=== debian/control ===
--- 
+++ 
@@ -3,13 +3,27 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev (>= 4:4.3.4), libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev,
+Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
+ extra-cmake-modules,
+ qtbase5-dev,
+ libqt5svg5-dev,
+ libqt5x11extras5-dev,
+ libphonon4qt5-dev,
+ libkf5config-dev,
+ libkf5coreaddons-dev,
+ libkf5i18n-dev,
+ kinit-dev,
+ libkf5kdelibs4support-dev,
+ libkf5kio-dev,
+ libkf5mediaplayer-dev,
+ libkf5parts-dev,
+ libkf5widgetsaddons-dev,
+ libcairo2-dev, libdbus-1-dev, libdbus-glib-1-dev,
  libgtk2.0-dev, libx11-dev, libxt-dev
-Standards-Version: 3.9.1
+Standards-Version: 4.1.1
 Homepage: http://kmplayer.kde.org
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kmplayer/?op=log
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kmplayer/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kmplayer/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kmplayer/trunk/
 
 Package: kmplayer
 Architecture: any
