=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_install:
	dh_install
	chmod +x debian/kmplayer/usr/share/kmplayer/find-media.sh

.PHONY: override_dh_auto_test
