=== debian/watch ===
version=3
https://download.kde.org/stable/kmplayer/([\d\.]+)/kmplayer-(.+)\.tar\.(?:bz2|xz) debian svn-upgrade
