=== data/CMakeLists.txt ===
install(FILES blip-api.xsl find-media.sh shoutcast.xsl youtube.xsl DESTINATION  ${DATA_INSTALL_DIR}/kmplayer)
install(FILES find-media.xml shoutcast.xml youtube-query.xml blip-tv.xml DESTINATION  ${DATA_INSTALL_DIR}/kmplayer/generators)
