=== debian/changelog ===
kmplayer (1:0.12.0b+de96d9e-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:12:19 +1100

kmplayer (1:0.12.0b+de96d9e-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:09:08 +0000

kmplayer (1:0.12.0b+de96d9e-1) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Add Rules-Requires-Root: no.
  * Rename docs to kmplayer.docs to make it clear to which package it refers.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Move the fixup up the permissions of find-media.sh after dh_auto_install,
    rather than dh_install: since there is a single binary package, everything
    is installed in the right location, so dh_install does nothing.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.80.0
    - add libkf5iconthemes-dev
    - explicitly add gettext
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop unused dh_auto_test override, as there are no tests to run.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Sep 2023 07:45:03 +0200

kmplayer (1:0.12.0b+de96d9e-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends: libkf5doctools-dev. (Closes: #1035772)

 -- Bastian Germann <bage@debian.org>  Fri, 11 Aug 2023 21:13:32 +0000

kmplayer (1:0.12.0b+de96d9e-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import current git version.

  [ Simon McVittie ]
  * Don't build knpplayer. (Closes: #967558, #999459, #997118)
  * Depend on default-dbus-session-bus | dbus-session-bus (Closes: #836103)

 -- Bastian Germann <bage@debian.org>  Fri, 11 Aug 2023 17:36:49 +0000

kmplayer (1:0.12.0b-3) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove trailing whitespaces in changelog.
  * Remove empty line at the end of changelog.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879353)
  * Bump Standards-Version to 4.2.1, no changes required.
  * Stop using the svn-buildpackage bits in the watch file.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Nov 2018 19:28:47 +0100
