=== debian/control ===
Source: kmplayer
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.16~),
 dh-sequence-kf5,
 gettext,
 extra-cmake-modules (>= 5.80.0~),
 qtbase5-dev (>= 5.15.0~),
 libqt5svg5-dev (>= 5.15.0~),
 libqt5x11extras5-dev (>= 5.15.0~),
 libphonon4qt5-dev,
 libkf5config-dev (>= 5.80.0~),
 libkf5coreaddons-dev (>= 5.80.0~),
 libkf5doctools-dev (>= 5.80.0~),
 libkf5i18n-dev (>= 5.80.0~),
 libkf5iconthemes-dev (>= 5.80.0~),
 kinit-dev (>= 5.80.0~),
 libkf5kio-dev (>= 5.80.0~),
 libkf5mediaplayer-dev (>= 5.80.0~),
 libkf5parts-dev (>= 5.80.0~),
 libkf5widgetsaddons-dev (>= 5.80.0~),
 libcairo2-dev,
 libx11-dev, libxt-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kmplayer.kde.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kmplayer
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kmplayer.git

Package: kmplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, default-dbus-session-bus | dbus-session-bus
Suggests: ffmpeg, vdr, xawtv, konqueror, mplayer
Conflicts: kmplayer-common, kmplayer-plugin
Replaces: kmplayer-common, kmplayer-plugin
Description: media player for KDE
 KMPlayer is a simple frontend for MPlayer/FFMpeg/Phonon.
 .
 Some features:
  * play DVD/VCD movies (from file or url and from a video device)
  * embed inside konqueror (movie is played inside konqueror)
  * embed inside khtml (movie playback inside a html page)
  * Movie recording using mencoder (part of the mplayer package)
  * No video during recording, but you can always open a new window and play it
  * Broadcasting, http streaming, using ffserver/ffmpeg
  * For TV sources, you need v4lctl (part of the xawtv package)
