=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKMPLAYER_BUILT_WITH_NPP=OFF

execute_after_dh_auto_install:
	chmod +x debian/kmplayer/usr/share/kmplayer/find-media.sh
